Doomsday Engine - Bug #1873

[HeXen DK] multiplayer crash on Sump
2014-10-08 17:35 - vermil

Status: Closed Start date: 2014-10-08
Priority: High % Done: 100%
Assignee: vermil

Category: Defect

Target version:

Description

| know that HeXen/HeXen DK MP has several non-fatal issues, but as this one is fatal, | figure | should report it.

In an MP game, in the latest unstable (1374) standing in sector 72 of Sump (Map03) quickly causes a re-producible seg fault with the
below error message. It doesn't appear to crash in SP.

I've removed the folder paths from the below.
CIPlaneMover::think: Segmentation Violation

A > ServerLink::disconnect: Link to server localhost:XXX disconnected

A > AbstractLink: Disconnected from localhost: XXX

ClIPlaneMover::think > .. > Net_StopGame:

Cleaning up client state

ClIPlaneMover::think > .. > ~ArchiveFeed:

Updating archive in "%HOMEPATH%\XXX\Doomsday Frontend\runtime\cache\
internal.save" from directory "%HOMEPATHY%\XXX\Doomsday Frontend\runtime\cache"
ClIPlaneMover::think > ServerLink::disconnect:

Game ended

ClIPlaneMover::think: Disconnected

A Unloaded game

A : Restoring original display mode due to shutdown

Associated revisions

Revision e59a67ba - 2014-10-26 18:40 - skyjake

Fixed|Hexen|MP: Client crashes when a plane moves on client side
Some client mobjs don't have 'info' if they are only partially synced.

IssuelD #1873

History

#1 - 2014-10-08 17:40 - vermil

I mean, | know HeXen/HeXen DK MP has several non fatal issues due to it still being a WIP.

#2 - 2014-10-10 21:10 - danij
- Priority changed from Normal to High

- Target version set to 49

#3 - 2014-10-11 18:32 - skyjake
- Tags set to Hexen, Multiplayer, Client

- Assignee set to skyjake

#4 - 2014-10-26 17:55 - skyjake

- Status changed from New to In Progress

#5 - 2014-10-26 18:42 - skyjake
- Category set to Defect
- Status changed from In Progress to Feedback
- Assignee changed from skyjake to vermil

- % Done changed from 0 to 100

#6 - 2014-10-26 18:43 - skyjake

Committed a fix that should prevent the crash. Played around Sump in MP for a while without crashing, the biggest problem being that some
monsters are not removed from the map when they die (a separate issue).

Please retest to verify.
#7 - 2014-11-18 12:17 - vermil
Apologies for the delay in response. This issue appears to be fixed. However new issues have arisen since build 1374, which | shall report in the near

future.

#8 - 2014-11-18 12:32 - skyjake
- Status changed from Feedback to Closed

#9 - 2015-06-08 10:47 - skyjake
- Target version deleted (49)
